%global _empty_manifest_terminate_build 0
Name:		python-robotframework
Version:	4.1
Release:	2
Summary:	Generic automation framework for acceptance testing and robotic process automation (RPA)
License:	Public Domain and Apache-2.0 and BSD and MIT and BSL-1.0 and LGPL-2.1-only and MPL-2.0 and GPL-3.0-only and GPL-2.0-or-later and MPL-1.1 and IJG and Zlib
URL:		http://robotframework.org
Source0:	https://files.pythonhosted.org/packages/45/4f/ddfc3eb4e342e3e45e4122e345e5bb33819823e812b66afbf38a9fc4864b/robotframework-4.1.zip
BuildArch:	noarch

%description
Robot Framework is a generic open source automation framework for acceptance testing, 
acceptance test driven development (ATDD), and robotic process automation (RPA). 
It has simple plain text syntax and it can be extended easily with libraries implemented using Python or Java.

%package -n python3-robotframework
Summary:	Generic automation framework for acceptance testing and robotic process automation (RPA)
Provides:	python-robotframework
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-robotframework
Robot Framework is a generic open source automation framework for acceptance testing, 
acceptance test driven development (ATDD), and robotic process automation (RPA). 
It has simple plain text syntax and it can be extended easily with libraries implemented using Python or Java.

%package help
Summary:	Development documents and examples for robotframework
Provides:	python3-robotframework-doc
%description help
This package contains docs for %{name}.

%prep
%autosetup -n robotframework-4.1

%build
%py3_build

%check
%{__python3} setup.py test

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-robotframework -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue May 17 2022 liukuo <liukuo@kylinos.cn> - 4.1-2
- License compliance rectification

* Fri Jul 23 2021 baizhonggui <baizhonggui@huawei.com> - 4.1-1
- Package init
